/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * A Board is some set of data shared inside a ReactiveCommunity.
 * Writing on the Board is realized during the inactive part of instants.
 */
public interface Board {

	/**
	 * Returns the ReactiveCommunity to which belongs this Board.
	 * Cannot be null.
	 * @return the ReactiveCommunity to which belongs this Board.
	 */
	public ReactiveCommunity getCommunity();
}
