/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * Attachment that contains the agentId of the sender.
 */
public interface CertifiedAttachment {
	
	/**
	 * Returns the entityId of the sender of the attached message.
	 * It is set by the ReactiveEntity used for generating the message.
	 * @return the entityId of the sender of the attached message.
	 */
	public String getSenderEntityId();
	
	/**
	 * Returns true if this attachment is a TermsAttachment, false elsewhere.
	 * @return true if this attachment is a TermsAttachment, false elsewhere.
	 */
	public boolean isTermsAttachment();

	/**
	 * Returns true if this attachment is an ActionAttachment, false elsewhere.
	 * @return true if this attachment is an ActionAttachment, false elsewhere.
	 */
	public boolean isActionAttachment();
}
