/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element;

/**
 * Prefix associated to a namespaceURI.
 */
public final class Namespace {

	public final String namespaceURI;
	public final String prefix;
	
	public Namespace(String namespaceURI, String prefix) {
		if (namespaceURI == null || prefix == null)
			throw new IllegalArgumentException();
		this.namespaceURI = namespaceURI.intern();
		this.prefix = prefix;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return this.prefix + ":" + this.namespaceURI;
	}
}
