/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action;

import org.xmloperator.reactive.Action;

import org.xmloperator.reactive.element.Element;
import org.xmloperator.reactive.element.ParentElement;
import org.xmloperator.reactive.element.RWParentElement;
import org.xmloperator.reactive.element.ElementWritingAccess;

import org.xmloperator.reactive.element.action.ElementActionImpl;

/**
 * Action of inserting an Element.
 */
public final class ElementAppendAction extends ElementActionImpl {
	
	public final Element appendedElement;
	
	public ElementAppendAction(ElementWritingAccess elementWritingAccess,
			ParentElement referenceElement, Element appendedElement,
			int status) {
		super(elementWritingAccess, referenceElement, status);
		this.appendedElement = appendedElement;
	}
	
	public boolean isElementAppendAction() {
		return true;
	}

	///////////////////////////////
	// ElementAction implementation
	///////////////////////////////
	
	public ParentElement getTouchedParentElement() {
		return (ParentElement)this.referenceElement;
	}
	
	////////////////////////
	// Action implementation
	////////////////////////
	
	public boolean equals(Action action) {
		if (action instanceof ElementAppendAction) {
			ElementAppendAction otherAction = (ElementAppendAction)action;
			return this.referenceElement == otherAction.referenceElement
				&& this.appendedElement.equals(otherAction.appendedElement);
		}
		return false;
	}

	public void execute(long key) {
		RWParentElement rwParentElement =
			(RWParentElement)this.elementWritingAccess.rwElement(
				this.referenceElement, key);
		rwParentElement.appendChild(this.appendedElement);
	}

	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(super.toString());
		sb.append("append");
		sb.append(this.appendedElement);
		return sb.toString();
	}
}
