/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.facet.event;

/**
 * BoolCondition corresponding to an AND or an OR condition.
 */
public abstract class BoolCondition2Impl extends BoolConditionImpl {
	
	protected final BoolCondition condition1;
	protected final BoolCondition condition2;
	
	public BoolCondition2Impl(BoolCondition condition1, BoolCondition condition2) {
		if (condition1 == null || condition2 == null)
			throw new IllegalArgumentException();
		this.condition1 = condition1;
		this.condition2 = condition2;
	}

	//////////////////////////
	// BoolNode implementation
	//////////////////////////
	
	public BoolCondition getCondition1() {
		return this.condition1;
	}

	public BoolCondition getCondition2() {
		return this.condition2;
	}

	public boolean containsNegativeEvent() {
		return this.condition1.containsNegativeEvent()
			|| this.condition2.containsNegativeEvent();
	}
}
