/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.impl;

import java.util.Map;
import java.util.HashMap;

import org.xmloperator.reactive.exception.BadCharInNameException;
import org.xmloperator.reactive.exception.NameAlreadyUsedException;

import org.xmloperator.reactive.Agent;
import org.xmloperator.reactive.LaunchingContext;
import org.xmloperator.reactive.ReactiveCommunity;

public final class LaunchingContextImpl implements LaunchingContext {
	
	private final Map fromNameToArgument = new HashMap();

	public LaunchingContextImpl() {
	}

	public LaunchingContextImpl(ReactiveCommunity community) {
		this();
		this.addArgument(Agent.ARG_DESTINATION_COMMUNITY, community);
	}

	//////////////////////////////////
	// LaunchingContext implementation
	//////////////////////////////////

	public void addArgument(String name, Object value) {
		if (this.fromNameToArgument.containsKey(name))
			throw new NameAlreadyUsedException();
		BadCharInNameException.verifyName(name);
		this.fromNameToArgument.put(name, value);
	}
	
	public final Object getArgumentValue(String name) {
		return this.fromNameToArgument.get(name);
	}
}
