/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.impl;

import org.xmloperator.reactive.Terms;
import org.xmloperator.reactive.TermsAttachment;

/**
 * TermsAttachment implementation.
 */
public final class TermsAttachmentImpl extends CertifiedAttachmentImpl
		implements TermsAttachment {
	
	private final Terms terms;

	public TermsAttachmentImpl(Terms terms) {
		this.terms = terms;
	}
	
	/////////////////////////////////
	// AttachmentTerms implementation
	/////////////////////////////////
	
	public Terms getTerms() {
		return this.terms;
	}

	/////////////////////////////////////
	// CertifiedAttachment implementation
	/////////////////////////////////////
	
	public boolean isTermsAttachment() {
		return true;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(super.toString());
		sb.append(this.terms);
		return sb.toString();
	}
}
