/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.util;

import org.xmloperator.reactive.Agent;

/**
 * This an utility for creating an Agent from its classname.
 */
public abstract class AgentFactory {

	/**
	 * Returns a new Agent of the given class.
	 * This (dynamic) method is used when a static one is not available.
	 * @param className the name of the class of the Agent to create.
	 * @return the created Agent.
	 * @throws ClassNotFoundException see Class.forName().
	 * @throws IllegalAccessException see Class.newInstance().
	 * @throws InstantiationException see Class.newInstance().
	 */
	public Agent newAgent(String className) throws
			ClassNotFoundException,
			IllegalAccessException,
			InstantiationException {
		return (Agent)Class.forName(className).newInstance();
	}
}
